#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=salem1.66_base.ps
projection=-JM16.0c+
region=-R-124.4/-122.3/43.9/45.6
gmt psbasemap $region $projection -Bxa1.0f0.1 -Bya1.0f0.1 -BWeSn+t'Base Map salem1.66' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m_g -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    45.085  -122.622
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    44.118  -122.840
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    45.027  -122.587
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    45.020  -122.585
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    45.024  -122.591
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    45.043  -122.613
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    45.021  -122.608
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    45.038  -122.588
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    45.019  -122.593
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    45.020  -122.585
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    45.040  -122.617
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    45.040  -122.599
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    45.129  -122.683
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    44.622  -122.799
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    44.996  -122.649
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    44.041  -122.489
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    45.111  -122.766
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    44.717  -123.122
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    45.231  -123.524
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    45.117  -122.409
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    44.761  -123.761
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    45.007  -122.541
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    45.276  -123.033
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    45.170  -122.604
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    45.169  -122.602
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    45.271  -122.732
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    45.272  -122.728
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    45.106  -123.037
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    45.075  -122.422
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    45.139  -122.693
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    45.014  -124.282
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    45.008  -124.246
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    44.465  -122.857
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
    45.394  -122.898
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
    44.810  -123.823
END
gmt psxy -: -R $projection -Sl8p+t"36" -G0 -O -K << END >> $psfile
    45.137  -122.620
END
gmt psxy -: -R $projection -Sl8p+t"37" -G0 -O -K << END >> $psfile
    44.153  -122.898
END
gmt psxy -: -R $projection -Sl8p+t"38" -G0 -O -K << END >> $psfile
    44.152  -122.896
END
gmt psxy -: -R $projection -Sl8p+t"39" -G0 -O -K << END >> $psfile
    44.956  -123.560
END
gmt psxy -: -R $projection -Sl8p+t"40" -G0 -O -K << END >> $psfile
    44.150  -122.891
END
gmt psxy -: -R $projection -Sl8p+t"41" -G0 -O -K << END >> $psfile
    44.089  -122.831
END
gmt psxy -: -R $projection -Sl8p+t"42" -G0 -O -K << END >> $psfile
    44.115  -123.079
END
gmt psxy -: -R $projection -Sl8p+t"43" -G0 -O -K << END >> $psfile
    45.479  -123.463
END
gmt psxy -: -R $projection -Sl8p+t"44" -G0 -O -K << END >> $psfile
    44.088  -122.827
END
gmt psxy -: -R $projection -Sl8p+t"45" -G0 -O -K << END >> $psfile
    44.094  -122.819
END
gmt psxy -: -R $projection -Sl8p+t"46" -G0 -O -K << END >> $psfile
    45.479  -122.835
END
gmt psxy -: -R $projection -Sl8p+t"47" -G0 -O -K << END >> $psfile
    45.166  -122.909
END
gmt psxy -: -R $projection -Sl8p+t"48" -G0 -O -K << END >> $psfile
    45.046  -123.110
END
gmt psxy -: -R $projection -Sl8p+t"49" -G0 -O -K << END >> $psfile
    44.369  -122.443
END
gmt psxy -: -R $projection -Sl8p+t"50" -G0 -O -K << END >> $psfile
    44.258  -123.974
END
gmt psxy -: -R $projection -Sl8p+t"51" -G0 -O -K << END >> $psfile
    45.040  -122.594
END
gmt psxy -: -R $projection -Sl8p+t"52" -G0 -O -K << END >> $psfile
    44.944  -122.763
END
gmt psxy -: -R $projection -Sl8p+t"53" -G0 -O -K << END >> $psfile
    45.138  -122.962
END
gmt psxy -: -R $projection -Sl8p+t"54" -G0 -O -K << END >> $psfile
    44.801  -123.860
END
gmt psxy -: -R $projection -Sl8p+t"55" -G0 -O -K << END >> $psfile
    44.971  -123.902
END
gmt psxy -: -R $projection -Sl8p+t"56" -G0 -O -K << END >> $psfile
    44.989  -123.933
END
gmt psxy -: -R $projection -Sl8p+t"57" -G0 -O -K << END >> $psfile
    44.964  -123.918
END
gmt psxy -: -R $projection -Sl8p+t"58" -G0 -O -K << END >> $psfile
    44.970  -123.916
END
gmt psxy -: -R $projection -Sl8p+t"59" -G0 -O -K << END >> $psfile
    44.957  -123.910
END
gmt psxy -: -R $projection -Sl8p+t"60" -G0 -O -K << END >> $psfile
    45.111  -123.628
END
gmt psxy -: -R $projection -Sl8p+t"61" -G0 -O -K << END >> $psfile
    45.170  -122.616
END
gmt psxy -: -R $projection -Sl8p+t"62" -G0 -O -K << END >> $psfile
    45.470  -122.935
END
gmt psxy -: -R $projection -Sl8p+t"63" -G0 -O -K << END >> $psfile
    45.441  -123.852
END
gmt psxy -: -R $projection -Sl8p+t"64" -G0 -O -K << END >> $psfile
    44.528  -122.517
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.084  -122.626
    45.085  -122.622
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.101  -122.635
    45.085  -122.622
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    44.117  -122.838
    44.118  -122.840
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    44.134  -122.840
    44.118  -122.840
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.027  -122.587
    45.027  -122.587
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    44.991  -122.564
    45.027  -122.587
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.020  -122.585
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.027  -122.603
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.023  -122.589
    45.024  -122.591
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.033  -122.606
    45.024  -122.591
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.042  -122.613
    45.043  -122.613
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.039  -122.615
    45.043  -122.613
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.021  -122.607
    45.021  -122.608
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.036  -122.617
    45.021  -122.608
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.038  -122.587
    45.038  -122.588
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.041  -122.613
    45.038  -122.588
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.018  -122.592
    45.019  -122.593
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.039  -122.609
    45.019  -122.593
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.020  -122.583
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.066  -122.605
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.039  -122.617
    45.040  -122.617
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.042  -122.626
    45.040  -122.617
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.040  -122.597
    45.040  -122.599
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.040  -122.614
    45.040  -122.599
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.130  -122.682
    45.129  -122.683
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.129  -122.703
    45.129  -122.683
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    44.627  -122.784
    44.622  -122.799
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    44.635  -122.774
    44.622  -122.799
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    44.996  -122.646
    44.996  -122.649
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    44.995  -122.659
    44.996  -122.649
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    44.049  -122.498
    44.041  -122.489
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    44.066  -122.520
    44.041  -122.489
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.110  -122.766
    45.111  -122.766
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.120  -122.788
    45.111  -122.766
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    44.724  -123.119
    44.717  -123.122
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    44.737  -123.170
    44.717  -123.122
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.233  -123.520
    45.231  -123.524
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.251  -123.529
    45.231  -123.524
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.117  -122.409
    45.117  -122.409
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.116  -122.428
    45.117  -122.409
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    44.764  -123.765
    44.761  -123.761
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    44.769  -123.873
    44.761  -123.761
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.006  -122.542
    45.007  -122.541
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.016  -122.561
    45.007  -122.541
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.276  -123.034
    45.276  -123.033
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.281  -123.028
    45.276  -123.033
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.170  -122.606
    45.170  -122.604
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.171  -122.601
    45.170  -122.604
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.168  -122.603
    45.169  -122.602
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.172  -122.613
    45.169  -122.602
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.270  -122.733
    45.271  -122.732
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.268  -122.720
    45.271  -122.732
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.272  -122.729
    45.272  -122.728
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.268  -122.726
    45.272  -122.728
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.105  -123.036
    45.106  -123.037
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.103  -123.030
    45.106  -123.037
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.073  -122.423
    45.075  -122.422
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.079  -122.450
    45.075  -122.422
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.139  -122.692
    45.139  -122.693
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.141  -122.667
    45.139  -122.693
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.018  -124.286
    45.014  -124.282
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.025  -124.149
    45.014  -124.282
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.013  -124.250
    45.008  -124.246
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.026  -124.152
    45.008  -124.246
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    44.466  -122.856
    44.465  -122.857
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    44.520  -122.854
    44.465  -122.857
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.389  -122.904
    45.394  -122.898
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.391  -122.868
    45.394  -122.898
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    44.815  -123.820
    44.810  -123.823
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    44.760  -123.895
    44.810  -123.823
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.137  -122.621
    45.137  -122.620
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.139  -122.619
    45.137  -122.620
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    44.156  -122.899
    44.153  -122.898
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    44.173  -122.913
    44.153  -122.898
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    44.153  -122.899
    44.152  -122.896
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    44.153  -122.895
    44.152  -122.896
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    44.953  -123.565
    44.956  -123.560
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    44.959  -123.564
    44.956  -123.560
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    44.152  -122.891
    44.150  -122.891
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    44.157  -122.919
    44.150  -122.891
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    44.091  -122.832
    44.089  -122.831
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    44.086  -122.846
    44.089  -122.831
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    44.117  -123.082
    44.115  -123.079
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    44.100  -123.089
    44.115  -123.079
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.482  -123.457
    45.479  -123.463
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.481  -123.440
    45.479  -123.463
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    44.089  -122.827
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    44.090  -122.833
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    44.094  -122.819
    44.094  -122.819
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    44.103  -122.833
    44.094  -122.819
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.479  -122.835
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.479  -122.823
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.166  -122.909
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.152  -122.908
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.046  -123.109
    45.046  -123.110
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.046  -123.118
    45.046  -123.110
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    44.368  -122.446
    44.369  -122.443
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    44.380  -122.431
    44.369  -122.443
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    44.263  -123.973
    44.258  -123.974
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    44.252  -123.953
    44.258  -123.974
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.039  -122.593
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.042  -122.600
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    44.944  -122.763
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    44.945  -122.756
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.138  -122.962
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.136  -122.972
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    44.802  -123.857
    44.801  -123.860
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    44.826  -123.787
    44.801  -123.860
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    44.972  -123.897
    44.971  -123.902
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    44.989  -123.838
    44.971  -123.902
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    44.989  -123.932
    44.989  -123.933
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    44.998  -123.848
    44.989  -123.933
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    44.966  -123.918
    44.964  -123.918
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.032  -123.919
    44.964  -123.918
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    44.973  -123.915
    44.970  -123.916
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    44.996  -123.863
    44.970  -123.916
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    44.959  -123.906
    44.957  -123.910
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    44.993  -123.858
    44.957  -123.910
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.112  -123.624
    45.111  -123.628
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.127  -123.582
    45.111  -123.628
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.170  -122.616
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.180  -122.625
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.470  -122.936
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.467  -122.930
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    45.441  -123.852
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    45.444  -123.868
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    44.528  -122.516
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    44.545  -122.553
    44.528  -122.517
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    45.085  -122.622   -43.673     1.643     1.969
    44.118  -122.840    29.555     1.803     2.183
    45.027  -122.587     0.656     0.879     1.013
    45.020  -122.585    12.042     0.757     0.933
    45.024  -122.591     6.692     0.789     0.944
    45.043  -122.613    10.541     0.811     0.965
    45.021  -122.608     6.433     0.993     1.224
    45.038  -122.588     3.826     0.793     0.962
    45.019  -122.593   -25.856     1.102     1.146
    45.020  -122.585   -19.730     1.022     1.129
    45.040  -122.617     4.439     0.753     0.881
    45.040  -122.599     2.960     0.714     0.792
    45.129  -122.683     5.620     1.192     1.440
    44.622  -122.799    -4.341     1.519     2.228
    44.996  -122.649    -5.607     1.225     1.384
    44.041  -122.489    25.405     1.719     2.860
    45.111  -122.766     3.984     0.943     1.091
    44.717  -123.122    24.393     2.880     5.623
    45.231  -123.524     7.409     2.496     5.856
    45.117  -122.409   -45.882     1.085     1.120
    44.761  -123.761   -86.897     1.302     2.494
    45.007  -122.541    19.404     0.803     1.090
    45.276  -123.033    -9.487     0.768     0.954
    45.170  -122.604   -11.623     0.939     1.195
    45.169  -122.602     5.831     0.712     0.991
    45.271  -122.732     0.357     0.920     1.217
    45.272  -122.728     0.933     1.113     1.452
    45.106  -123.037    -1.908     0.919     0.987
    45.075  -122.422     9.433     1.109     1.382
    45.139  -122.693    -3.755     0.910     1.626
    45.014  -124.282     0.931     2.431     5.072
    45.008  -124.246     7.513     2.518     4.750
    44.465  -122.857    59.433     1.979     2.835
    45.394  -122.898   -17.219     1.108     2.237
    44.810  -123.823     6.967     1.468     2.489
    45.137  -122.620   -20.365     1.654     2.020
    44.153  -122.898    40.271     1.565     2.080
    44.152  -122.896    23.533     0.824     1.539
    44.956  -123.560   -15.334     1.256     1.873
    44.150  -122.891    29.878     0.708     1.420
    44.089  -122.831    36.199     0.746     1.184
    44.115  -123.079    19.849     0.911     1.416
    45.479  -123.463     5.993     1.108     1.851
    44.088  -122.827    39.010     0.727     0.996
    44.094  -122.819    50.036     0.959     1.605
    45.479  -122.835    13.135     0.571     0.741
    45.166  -122.909    23.456     0.757     0.854
    45.046  -123.110    -0.410     0.791     1.084
    44.369  -122.443    24.792     1.229     1.732
    44.258  -123.974   -14.748     1.466     3.483
    45.040  -122.594    28.788     0.621     0.692
    44.944  -122.763    10.008     0.744     0.801
    45.138  -122.962    -1.318     1.269     1.446
    44.801  -123.860     5.818     2.061     2.477
    44.971  -123.902    -0.445     1.841     2.524
    44.989  -123.933    -3.071     2.489     3.642
    44.964  -123.918     0.068     1.775     2.355
    44.970  -123.916    23.606     1.366     1.915
    44.957  -123.910    -5.450     1.464     1.972
    45.111  -123.628    13.767     1.182     1.658
    45.170  -122.616    48.899     0.701     0.860
    45.470  -122.935    50.800     0.713     0.832
    45.441  -123.852   -15.260     0.605     0.954
    44.528  -122.517   -18.201     1.166     1.214
END
# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    45.027  -122.587     0.100
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    43.994  -124.312    -6.001     0.676     0.716
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    43.994  -124.289   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    43.994  -124.312     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    43.994  -124.312     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    43.949  -124.312   5 km
END
