#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=salem1.66_dcal.ps
projection=-JM16.0c+
region=-R-126.9/-119.8/42.1/47.4
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration salem1.66' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m_g -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.156  -122.271
    45.085  -122.622
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.156  -122.271
    45.085  -122.622
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    45.085  -122.622
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    45.085  -122.622
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.538  -122.039
    45.085  -122.622
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.538  -122.039
    45.085  -122.622
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.060  -121.587
    45.085  -122.622
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.463  -121.679
    45.085  -122.622
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.636  -123.490
    45.085  -122.622
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.318  -121.465
    45.085  -122.622
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.736  -121.681
    45.085  -122.622
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.068  -122.408
    45.085  -122.622
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.310  -122.578
    44.118  -122.840
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.844  -122.320
    44.118  -122.840
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.118  -122.840
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    44.118  -122.840
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    44.118  -122.840
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.526  -123.090
    44.118  -122.840
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.526  -123.090
    44.118  -122.840
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.912  -123.741
    44.118  -122.840
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.912  -123.741
    44.118  -122.840
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.856  -122.460
    44.118  -122.840
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.107  -121.600
    44.118  -122.840
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.652  -121.689
    44.118  -122.840
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.652  -121.689
    44.118  -122.840
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.856  -122.460
    45.027  -122.587
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.156  -122.271
    45.027  -122.587
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    45.027  -122.587
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.790
    45.027  -122.587
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.538  -122.039
    45.027  -122.587
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.310  -122.578
    45.027  -122.587
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.060  -121.587
    45.027  -122.587
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.652  -121.689
    45.027  -122.587
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.371  -123.454
    45.027  -122.587
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.463  -121.679
    45.027  -122.587
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.318  -121.465
    45.027  -122.587
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    45.027  -122.587
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.636  -123.490
    45.027  -122.587
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.856  -122.460
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.156  -122.271
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.156  -122.271
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.790
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.538  -122.039
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.538  -122.039
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.371  -123.454
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.310  -122.578
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.060  -121.587
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.652  -121.689
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.463  -121.679
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.463  -121.679
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.318  -121.465
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.636  -123.490
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.856  -122.460
    45.024  -122.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.156  -122.271
    45.024  -122.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    45.024  -122.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.790
    45.024  -122.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.790
    45.024  -122.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.538  -122.039
    45.024  -122.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.371  -123.454
    45.024  -122.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.371  -123.454
    45.024  -122.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.310  -122.578
    45.024  -122.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.310  -122.578
    45.024  -122.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.060  -121.587
    45.024  -122.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.652  -121.689
    45.024  -122.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.463  -121.679
    45.024  -122.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    45.024  -122.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.318  -121.465
    45.024  -122.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.636  -123.490
    45.024  -122.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.856  -122.460
    45.043  -122.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.156  -122.271
    45.043  -122.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    45.043  -122.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.790
    45.043  -122.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.790
    45.043  -122.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.538  -122.039
    45.043  -122.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.538  -122.039
    45.043  -122.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.371  -123.454
    45.043  -122.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.371  -123.454
    45.043  -122.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.060  -121.587
    45.043  -122.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.060  -121.587
    45.043  -122.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.310  -122.578
    45.043  -122.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.310  -122.578
    45.043  -122.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.652  -121.689
    45.043  -122.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.463  -121.679
    45.043  -122.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.463  -121.679
    45.043  -122.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    45.043  -122.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.636  -123.490
    45.043  -122.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.318  -121.465
    45.043  -122.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.856  -122.460
    45.021  -122.608
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.156  -122.271
    45.021  -122.608
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    45.021  -122.608
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.790
    45.021  -122.608
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.790
    45.021  -122.608
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.371  -123.454
    45.021  -122.608
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.310  -122.578
    45.021  -122.608
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.652  -121.689
    45.021  -122.608
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.652  -121.689
    45.021  -122.608
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.463  -121.679
    45.021  -122.608
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.463  -121.679
    45.021  -122.608
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    45.021  -122.608
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.636  -123.490
    45.021  -122.608
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.318  -121.465
    45.021  -122.608
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.856  -122.460
    45.038  -122.588
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.156  -122.271
    45.038  -122.588
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.156  -122.271
    45.038  -122.588
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    45.038  -122.588
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.790
    45.038  -122.588
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.371  -123.454
    45.038  -122.588
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.310  -122.578
    45.038  -122.588
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.652  -121.689
    45.038  -122.588
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.463  -121.679
    45.038  -122.588
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    45.038  -122.588
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.636  -123.490
    45.038  -122.588
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.318  -121.465
    45.038  -122.588
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.856  -122.460
    45.019  -122.593
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.156  -122.271
    45.019  -122.593
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    45.019  -122.593
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    45.019  -122.593
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.573  -122.790
    45.019  -122.593
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.790
    45.019  -122.593
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.790
    45.019  -122.593
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.538  -122.039
    45.019  -122.593
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.538  -122.039
    45.019  -122.593
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.371  -123.454
    45.019  -122.593
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.060  -121.587
    45.019  -122.593
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.652  -121.689
    45.019  -122.593
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.463  -121.679
    45.019  -122.593
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.318  -121.465
    45.019  -122.593
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    45.019  -122.593
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.636  -123.490
    45.019  -122.593
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.736  -121.681
    45.019  -122.593
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.856  -122.460
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.156  -122.271
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.573  -122.790
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.573  -122.790
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.790
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.538  -122.039
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.371  -123.454
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.060  -121.587
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.463  -121.679
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.652  -121.689
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.636  -123.490
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.318  -121.465
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.736  -121.681
    45.020  -122.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.856  -122.460
    45.040  -122.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.156  -122.271
    45.040  -122.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    45.040  -122.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.573  -122.790
    45.040  -122.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.790
    45.040  -122.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.538  -122.039
    45.040  -122.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.538  -122.039
    45.040  -122.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.371  -123.454
    45.040  -122.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.371  -123.454
    45.040  -122.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.310  -122.578
    45.040  -122.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.060  -121.587
    45.040  -122.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.652  -121.689
    45.040  -122.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.463  -121.679
    45.040  -122.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.636  -123.490
    45.040  -122.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    45.040  -122.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.736  -121.681
    45.040  -122.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.856  -122.460
    45.040  -122.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.156  -122.271
    45.040  -122.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    45.040  -122.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.573  -122.790
    45.040  -122.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.790
    45.040  -122.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.538  -122.039
    45.040  -122.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.371  -123.454
    45.040  -122.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.371  -123.454
    45.040  -122.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.060  -121.587
    45.040  -122.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.310  -122.578
    45.040  -122.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.652  -121.689
    45.040  -122.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.463  -121.679
    45.040  -122.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    45.040  -122.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.636  -123.490
    45.040  -122.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.318  -121.465
    45.040  -122.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.736  -121.681
    45.040  -122.599
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.156  -122.271
    45.129  -122.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.856  -122.460
    45.129  -122.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    45.129  -122.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.573  -122.790
    45.129  -122.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.371  -123.454
    45.129  -122.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.538  -122.039
    45.129  -122.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.790
    45.129  -122.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.636  -123.490
    45.129  -122.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.060  -121.587
    45.129  -122.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.463  -121.679
    45.129  -122.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.310  -122.578
    45.129  -122.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.652  -121.689
    45.129  -122.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    45.129  -122.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.318  -121.465
    45.129  -122.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.736  -121.681
    45.129  -122.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.026  -122.212
    45.129  -122.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.068  -122.408
    45.129  -122.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.856  -122.460
    44.622  -122.799
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.310  -122.578
    44.622  -122.799
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.156  -122.271
    44.622  -122.799
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.156  -122.271
    44.622  -122.799
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.371  -123.454
    44.622  -122.799
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.371  -123.454
    44.622  -122.799
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.060  -121.587
    44.622  -122.799
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.790
    44.622  -122.799
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.790
    44.622  -122.799
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.856  -122.460
    44.996  -122.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.156  -122.271
    44.996  -122.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    44.996  -122.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.573  -122.790
    44.996  -122.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.996  -122.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.371  -123.454
    44.996  -122.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.371  -123.454
    44.996  -122.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.790
    44.996  -122.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.310  -122.578
    44.996  -122.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.538  -122.039
    44.996  -122.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.060  -121.587
    44.996  -122.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.652  -121.689
    44.996  -122.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.463  -121.679
    44.996  -122.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.636  -123.490
    44.996  -122.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.318  -121.465
    44.996  -122.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.310  -122.578
    44.041  -122.489
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.844  -122.320
    44.041  -122.489
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.107  -121.600
    44.041  -122.489
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.107  -121.600
    44.041  -122.489
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.526  -123.090
    44.041  -122.489
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.526  -123.090
    44.041  -122.489
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.856  -122.460
    44.041  -122.489
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.912  -123.741
    44.041  -122.489
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.912  -123.741
    44.041  -122.489
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.856  -122.460
    45.111  -122.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.156  -122.271
    45.111  -122.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    45.111  -122.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.573  -122.790
    45.111  -122.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.111  -122.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.538  -122.039
    45.111  -122.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.636  -123.490
    45.111  -122.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.790
    45.111  -122.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    45.111  -122.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.060  -121.587
    45.111  -122.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.463  -121.679
    45.111  -122.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.318  -121.465
    45.111  -122.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.068  -122.408
    45.111  -122.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.026  -122.212
    45.111  -122.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.736  -121.681
    45.111  -122.766
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.717  -123.122
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.717  -123.122
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    44.717  -123.122
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.856  -122.460
    44.717  -123.122
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.156  -122.271
    44.717  -123.122
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.573  -122.790
    44.717  -123.122
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    44.717  -123.122
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.912  -123.741
    44.717  -123.122
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.912  -123.741
    44.717  -123.122
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.636  -123.490
    44.717  -123.122
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.636  -123.490
    45.231  -123.524
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.573  -122.790
    45.231  -123.524
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.231  -123.524
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    45.231  -123.524
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    45.231  -123.524
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.856  -122.460
    45.231  -123.524
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.156  -122.271
    45.231  -123.524
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.156  -122.271
    45.117  -122.409
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.856  -122.460
    45.117  -122.409
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    45.117  -122.409
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.790
    45.117  -122.409
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.538  -122.039
    45.117  -122.409
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.573  -122.790
    45.117  -122.409
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.060  -121.587
    45.117  -122.409
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.463  -121.679
    45.117  -122.409
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.463  -121.679
    45.117  -122.409
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.652  -121.689
    45.117  -122.409
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.318  -121.465
    45.117  -122.409
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.736  -121.681
    45.117  -122.409
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.117  -122.409
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.636  -123.490
    45.117  -122.409
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.026  -122.212
    45.117  -122.409
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.068  -122.408
    45.117  -122.409
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.924  -121.596
    45.117  -122.409
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.761  -123.761
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.912  -123.741
    44.761  -123.761
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.029  -123.069
    44.761  -123.761
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.998  -123.016
    44.761  -123.761
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.856  -122.460
    44.761  -123.761
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.856  -122.460
    45.007  -122.541
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.156  -122.271
    45.007  -122.541
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    45.007  -122.541
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.446  -122.155
    45.007  -122.541
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.573  -122.790
    45.007  -122.541
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.790
    45.007  -122.541
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.538  -122.039
    45.007  -122.541
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.007  -122.541
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.007  -122.541
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.060  -121.587
    45.007  -122.541
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.322  -121.652
    45.007  -122.541
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.267  -122.452
    45.007  -122.541
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.463  -121.679
    45.007  -122.541
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.318  -121.465
    45.007  -122.541
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.212  -122.100
    45.007  -122.541
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.214  -123.754
    45.007  -122.541
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    45.007  -122.541
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.299  -121.696
    45.007  -122.541
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.736  -121.681
    45.007  -122.541
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.315  -123.281
    45.276  -123.033
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.315  -123.281
    45.276  -123.033
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.206  -122.478
    45.276  -123.033
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.206  -122.478
    45.276  -123.033
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.170  -122.437
    45.276  -123.033
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    45.276  -123.033
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.636  -123.490
    45.276  -123.033
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.214  -123.754
    45.276  -123.033
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.156  -122.271
    45.276  -123.033
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.856  -122.460
    45.276  -123.033
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.677  -123.292
    45.276  -123.033
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.677  -123.292
    45.276  -123.033
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.276  -123.033
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.931  -123.559
    45.276  -123.033
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.931  -123.559
    45.276  -123.033
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.933  -122.419
    45.276  -123.033
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.933  -122.419
    45.276  -123.033
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    45.276  -123.033
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    45.276  -123.033
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    45.276  -123.033
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.088  -123.450
    45.276  -123.033
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.790
    45.276  -123.033
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.068  -122.408
    45.276  -123.033
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.676  -124.000
    45.276  -123.033
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.026  -122.212
    45.276  -123.033
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.463  -121.679
    45.276  -123.033
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.322  -121.652
    45.276  -123.033
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.206  -122.478
    45.170  -122.604
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.206  -122.478
    45.170  -122.604
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.315  -123.281
    45.170  -122.604
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.315  -123.281
    45.170  -122.604
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    45.170  -122.604
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    45.170  -122.604
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.677  -123.292
    45.170  -122.604
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.677  -123.292
    45.170  -122.604
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.170  -122.604
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.170  -122.604
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.933  -122.419
    45.170  -122.604
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.933  -122.419
    45.170  -122.604
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.242  -121.317
    45.170  -122.604
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.242  -121.317
    45.170  -122.604
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.206  -122.478
    45.169  -122.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.170  -122.437
    45.169  -122.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.156  -122.271
    45.169  -122.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    45.169  -122.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    45.169  -122.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.856  -122.460
    45.169  -122.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.446  -122.155
    45.169  -122.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.315  -123.281
    45.169  -122.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.315  -123.281
    45.169  -122.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.538  -122.039
    45.169  -122.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.538  -122.039
    45.169  -122.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    45.169  -122.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    45.169  -122.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.790
    45.169  -122.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.677  -123.292
    45.169  -122.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.677  -123.292
    45.169  -122.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.060  -121.587
    45.169  -122.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.169  -122.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.169  -122.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.933  -122.419
    45.169  -122.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.933  -122.419
    45.169  -122.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.318  -121.465
    45.169  -122.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.652  -121.689
    45.169  -122.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.736  -121.681
    45.169  -122.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.026  -122.212
    45.169  -122.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.068  -122.408
    45.169  -122.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.267  -122.452
    45.169  -122.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.242  -121.317
    45.169  -122.602
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.206  -122.478
    45.271  -122.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.206  -122.478
    45.271  -122.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.315  -123.281
    45.271  -122.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.315  -123.281
    45.271  -122.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    45.271  -122.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    45.271  -122.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.933  -122.419
    45.271  -122.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.933  -122.419
    45.271  -122.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.677  -123.292
    45.271  -122.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.677  -123.292
    45.271  -122.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.271  -122.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.271  -122.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.206  -122.478
    45.272  -122.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.206  -122.478
    45.272  -122.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.315  -123.281
    45.272  -122.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.315  -123.281
    45.272  -122.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.933  -122.419
    45.272  -122.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.933  -122.419
    45.272  -122.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    45.272  -122.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.677  -123.292
    45.272  -122.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.677  -123.292
    45.272  -122.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.322  -121.652
    45.272  -122.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.272  -122.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.272  -122.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.931  -123.559
    45.272  -122.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.931  -123.559
    45.272  -122.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.242  -121.317
    45.272  -122.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.170  -122.437
    45.106  -123.037
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.550  -122.895
    45.106  -123.037
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.856  -122.460
    45.106  -123.037
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.214  -123.754
    45.106  -123.037
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.156  -122.271
    45.106  -123.037
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    45.106  -123.037
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.106  -123.037
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.636  -123.490
    45.106  -123.037
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    45.106  -123.037
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.538  -122.039
    45.106  -123.037
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.790
    45.106  -123.037
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.267  -122.452
    45.106  -123.037
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.170  -122.437
    45.075  -122.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.206  -122.478
    45.075  -122.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.156  -122.271
    45.075  -122.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.856  -122.460
    45.075  -122.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.446  -122.155
    45.075  -122.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    45.075  -122.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.792
    45.075  -122.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.538  -122.039
    45.075  -122.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.538  -122.039
    45.075  -122.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.060  -121.587
    45.075  -122.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.322  -121.652
    45.075  -122.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.463  -121.679
    45.075  -122.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.463  -121.679
    45.075  -122.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.652  -121.689
    45.075  -122.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.318  -121.465
    45.075  -122.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.318  -121.465
    45.075  -122.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.075  -122.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.075  -122.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.267  -122.452
    45.075  -122.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.736  -121.681
    45.075  -122.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.933  -122.419
    45.075  -122.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.212  -122.100
    45.075  -122.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.636  -123.490
    45.075  -122.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.636  -123.490
    45.075  -122.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.214  -123.754
    45.075  -122.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.299  -121.696
    45.075  -122.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.026  -122.212
    45.075  -122.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    45.075  -122.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.068  -122.408
    45.075  -122.422
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    45.139  -122.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    45.139  -122.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.139  -122.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.139  -122.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.242  -121.317
    45.139  -122.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.083  -123.011
    45.139  -122.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.083  -123.011
    45.139  -122.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.931  -123.559
    45.139  -122.693
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    45.014  -124.282
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    45.014  -124.282
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.014  -124.282
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.014  -124.282
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.106  -123.847
    45.014  -124.282
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.106  -123.847
    45.014  -124.282
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    45.008  -124.246
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    45.008  -124.246
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.008  -124.246
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.008  -124.246
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.106  -123.847
    45.008  -124.246
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.106  -123.847
    45.008  -124.246
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.465  -122.857
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.465  -122.857
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.465  -122.857
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    44.465  -122.857
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.794  -122.411
    44.465  -122.857
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.794  -122.411
    44.465  -122.857
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.106  -123.847
    44.465  -122.857
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.106  -123.847
    44.465  -122.857
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.933  -122.419
    45.394  -122.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.933  -122.419
    45.394  -122.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.083  -123.011
    45.394  -122.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.083  -123.011
    45.394  -122.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.931  -123.559
    45.394  -122.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    45.394  -122.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    45.394  -122.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.394  -122.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.394  -122.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    45.394  -122.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    45.394  -122.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.810  -123.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.810  -123.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    44.810  -123.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    44.810  -123.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.106  -123.847
    44.810  -123.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.106  -123.847
    44.810  -123.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.810  -123.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.810  -123.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    45.137  -122.620
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    45.137  -122.620
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    45.137  -122.620
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    45.137  -122.620
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    45.137  -122.620
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    45.137  -122.620
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.137  -122.620
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.137  -122.620
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.933  -122.419
    45.137  -122.620
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.242  -121.317
    45.137  -122.620
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.242  -121.317
    45.137  -122.620
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.083  -123.011
    45.137  -122.620
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.083  -123.011
    45.137  -122.620
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.153  -122.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.153  -122.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.153  -122.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.794  -122.411
    44.153  -122.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.794  -122.411
    44.153  -122.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.106  -123.847
    44.153  -122.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.106  -123.847
    44.153  -122.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    44.153  -122.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    44.153  -122.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.197  -122.986
    44.152  -122.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.998  -123.016
    44.152  -122.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.998  -123.016
    44.152  -122.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.267  -122.452
    44.152  -122.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.152  -122.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.152  -122.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.152  -122.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.794  -122.411
    44.152  -122.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.794  -122.411
    44.152  -122.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.794  -122.411
    44.152  -122.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.794  -122.411
    44.152  -122.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.152  -122.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.152  -122.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.697  -123.349
    44.152  -122.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.697  -123.349
    44.152  -122.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.697  -123.349
    44.152  -122.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.526  -123.090
    44.152  -122.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.106  -123.847
    44.152  -122.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.106  -123.847
    44.152  -122.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    44.152  -122.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.241  -121.664
    44.152  -122.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.854  -123.241
    44.956  -123.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.854  -123.241
    44.956  -123.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.214  -123.754
    44.956  -123.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    44.956  -123.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    44.956  -123.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    44.956  -123.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.956  -123.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.956  -123.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    44.956  -123.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.624  -124.046
    44.956  -123.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.624  -124.046
    44.956  -123.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.329  -123.058
    44.956  -123.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.329  -123.058
    44.956  -123.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.636  -123.490
    44.956  -123.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.956  -123.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.956  -123.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.956  -123.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.206  -122.478
    44.956  -123.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.573  -122.790
    44.956  -123.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.197  -122.986
    44.956  -123.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.197  -122.986
    44.956  -123.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.106  -123.847
    44.956  -123.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.106  -123.847
    44.956  -123.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    44.956  -123.560
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.998  -123.016
    44.150  -122.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.052  -123.233
    44.150  -122.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.052  -123.233
    44.150  -122.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.267  -122.452
    44.150  -122.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.150  -122.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.150  -122.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.150  -122.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.150  -122.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.150  -122.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.150  -122.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.794  -122.411
    44.150  -122.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.794  -122.411
    44.150  -122.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.794  -122.411
    44.150  -122.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.697  -123.349
    44.150  -122.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.697  -123.349
    44.150  -122.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.697  -123.349
    44.150  -122.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.912  -123.741
    44.150  -122.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.526  -123.090
    44.150  -122.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.210  -121.963
    44.150  -122.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.210  -121.963
    44.150  -122.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    44.150  -122.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    44.150  -122.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.051  -121.669
    44.150  -122.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.241  -121.664
    44.150  -122.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.197  -122.986
    44.089  -122.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.197  -122.986
    44.089  -122.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.267  -122.452
    44.089  -122.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.267  -122.452
    44.089  -122.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.794  -122.411
    44.089  -122.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.794  -122.411
    44.089  -122.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.089  -122.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.089  -122.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.089  -122.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.697  -123.349
    44.089  -122.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.697  -123.349
    44.089  -122.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.526  -123.090
    44.089  -122.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.089  -122.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.210  -121.963
    44.089  -122.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.210  -121.963
    44.089  -122.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.106  -123.847
    44.089  -122.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.106  -123.847
    44.089  -122.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.241  -122.109
    44.089  -122.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.241  -122.109
    44.089  -122.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.052  -123.233
    44.115  -123.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.197  -122.986
    44.115  -123.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.697  -123.349
    44.115  -123.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.697  -123.349
    44.115  -123.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.267  -122.452
    44.115  -123.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.115  -123.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.115  -123.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.115  -123.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.912  -123.741
    44.115  -123.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.115  -123.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    44.115  -123.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.106  -123.847
    44.115  -123.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.526  -123.090
    44.115  -123.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.794  -122.411
    44.115  -123.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.794  -122.411
    44.115  -123.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.794  -122.411
    44.115  -123.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.794  -122.411
    44.115  -123.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.210  -121.963
    44.115  -123.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    44.115  -123.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.060  -121.817
    44.115  -123.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.636  -123.490
    45.479  -123.463
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    45.479  -123.463
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    45.479  -123.463
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    45.479  -123.463
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.214  -123.754
    45.479  -123.463
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.214  -123.754
    45.479  -123.463
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.550  -122.895
    45.479  -123.463
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.573  -122.790
    45.479  -123.463
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.573  -122.790
    45.479  -123.463
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.631  -122.653
    45.479  -123.463
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.955  -123.931
    45.479  -123.463
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.088  -123.450
    45.479  -123.463
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.997  -123.926
    45.479  -123.463
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.854  -123.241
    45.479  -123.463
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.083  -123.011
    45.479  -123.463
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.083  -123.011
    45.479  -123.463
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.111  -123.079
    45.479  -123.463
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    45.479  -123.463
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.206  -122.478
    45.479  -123.463
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.150  -122.744
    45.479  -123.463
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.479  -123.463
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.068  -122.408
    45.479  -123.463
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.422  -123.799
    45.479  -123.463
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    45.479  -123.463
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.197  -122.986
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.998  -123.016
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.052  -123.233
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.052  -123.233
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.267  -122.452
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.794  -122.411
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.794  -122.411
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.794  -122.411
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.794  -122.411
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.697  -123.349
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.697  -123.349
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.697  -123.349
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.212  -122.100
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.526  -123.090
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.210  -121.963
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.210  -121.963
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.912  -123.741
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.800  -122.699
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.106  -123.847
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.106  -123.847
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.060  -121.817
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.051  -121.669
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.291  -123.332
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.622  -123.923
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.241  -122.109
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.241  -122.109
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.241  -122.109
    44.088  -122.827
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.197  -122.986
    44.094  -122.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.197  -122.986
    44.094  -122.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.998  -123.016
    44.094  -122.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.998  -123.016
    44.094  -122.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.267  -122.452
    44.094  -122.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.094  -122.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.094  -122.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.794  -122.411
    44.094  -122.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.794  -122.411
    44.094  -122.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.212  -122.100
    44.094  -122.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.697  -123.349
    44.094  -122.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.697  -123.349
    44.094  -122.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.210  -121.963
    44.094  -122.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.912  -123.741
    44.094  -122.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.106  -123.847
    44.094  -122.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.106  -123.847
    44.094  -122.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    44.094  -122.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.051  -121.669
    44.094  -122.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.550  -122.895
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.550  -122.895
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.573  -122.790
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.573  -122.790
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.631  -122.653
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.631  -122.653
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.662  -122.657
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.662  -122.657
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.330  -123.058
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.330  -123.058
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.206  -122.478
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.206  -122.478
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.170  -122.437
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.170  -122.437
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.446  -122.155
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.446  -122.155
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.636  -123.490
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.933  -122.419
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.933  -122.419
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.083  -123.011
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.083  -123.011
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.083  -123.011
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.111  -123.079
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.111  -123.079
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.150  -122.744
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.800  -122.699
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.854  -123.241
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.026  -122.212
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.214  -123.754
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.214  -123.754
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.435  -121.807
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.792
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.169  -122.334
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.196  -122.350
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.359  -121.706
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.336  -121.710
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.463  -121.679
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.178  -122.217
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.193  -122.237
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.174  -122.181
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.116  -122.047
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.322  -121.652
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.322  -121.652
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.200  -122.191
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.197  -122.150
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.215  -122.175
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.238  -122.223
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.306  -122.341
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.275  -122.218
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.955  -123.931
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.464  -121.529
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.303  -122.265
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.924  -121.596
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.060  -121.587
    45.479  -122.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.330  -123.058
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.330  -123.058
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.206  -122.478
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.206  -122.478
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.170  -122.437
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.170  -122.437
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.854  -123.241
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.854  -123.241
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.800  -122.699
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.800  -122.699
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.550  -122.895
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.550  -122.895
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.573  -122.790
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.631  -122.653
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.662  -122.657
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.662  -122.657
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.214  -123.754
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.214  -123.754
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.446  -122.155
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.636  -123.490
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.792
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.435  -121.807
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.933  -122.419
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.336  -121.710
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.359  -121.706
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.622  -123.923
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.322  -121.652
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.463  -121.679
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.060  -121.587
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.197  -122.986
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.111  -123.079
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.111  -123.079
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.026  -122.212
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.150  -122.744
    45.166  -122.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    45.046  -123.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.854  -123.241
    45.046  -123.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.854  -123.241
    45.046  -123.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.330  -123.058
    45.046  -123.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.330  -123.058
    45.046  -123.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.800  -122.699
    45.046  -123.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.800  -122.699
    45.046  -123.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.046  -123.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.046  -123.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.206  -122.478
    45.046  -123.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.214  -123.754
    45.046  -123.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.170  -122.437
    45.046  -123.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.170  -122.437
    45.046  -123.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.573  -122.790
    45.046  -123.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    45.046  -123.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    45.046  -123.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    45.046  -123.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    45.046  -123.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.636  -123.490
    45.046  -123.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    45.046  -123.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    45.046  -123.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.197  -122.986
    45.046  -123.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.267  -122.452
    45.046  -123.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.931  -123.559
    45.046  -123.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.931  -123.559
    45.046  -123.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.792
    45.046  -123.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.267  -122.452
    44.369  -122.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.267  -122.452
    44.369  -122.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.369  -122.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.369  -122.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    44.369  -122.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.197  -122.986
    44.369  -122.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.197  -122.986
    44.369  -122.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.800  -122.699
    44.369  -122.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.800  -122.699
    44.369  -122.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.120  -121.848
    44.369  -122.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.120  -121.848
    44.369  -122.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.844  -122.320
    44.369  -122.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.844  -122.320
    44.369  -122.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.794  -122.411
    44.369  -122.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.794  -122.411
    44.369  -122.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.052  -123.233
    44.369  -122.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.339  -121.340
    44.369  -122.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.339  -121.340
    44.369  -122.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.697  -123.349
    44.369  -122.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.697  -123.349
    44.369  -122.443
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.108  -123.847
    44.258  -123.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.108  -123.847
    44.258  -123.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.624  -124.046
    44.258  -123.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.624  -124.046
    44.258  -123.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    44.258  -123.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.052  -123.233
    44.258  -123.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.052  -123.233
    44.258  -123.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.258  -123.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.258  -123.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.197  -122.986
    44.258  -123.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.197  -122.986
    44.258  -123.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.697  -123.349
    44.258  -123.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.697  -123.349
    44.258  -123.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.258  -123.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.526  -123.090
    44.258  -123.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.526  -123.090
    44.258  -123.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.214  -123.754
    44.258  -123.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.170  -122.437
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.800  -122.699
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.800  -122.699
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.853  -123.241
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.853  -123.241
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.446  -122.155
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.527  -122.843
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.527  -122.843
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.573  -122.790
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.631  -122.653
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.631  -122.653
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.662  -122.657
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.792
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.336  -121.710
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.359  -121.706
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.359  -121.706
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.060  -121.587
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.322  -121.652
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.322  -121.652
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.463  -121.679
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.267  -122.452
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.214  -123.754
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.214  -123.754
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.318  -121.465
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.464  -121.529
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.197  -122.986
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.933  -122.419
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.242  -121.317
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.210  -121.963
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.736  -121.681
    45.040  -122.594
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.800  -122.699
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.800  -122.699
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.170  -122.437
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.170  -122.437
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.206  -122.478
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.206  -122.478
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.853  -123.241
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.853  -123.241
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.330  -123.058
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.527  -122.843
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.550  -122.895
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.573  -122.790
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.573  -122.790
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.631  -122.653
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.214  -123.754
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.214  -123.754
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.792
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.060  -121.587
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.322  -121.652
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.622  -123.923
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.622  -123.923
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.463  -121.679
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.210  -121.963
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.052  -123.233
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.052  -123.233
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.318  -121.465
    44.944  -122.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.330  -123.058
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.330  -123.058
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.853  -123.241
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.853  -123.241
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.206  -122.478
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.170  -122.437
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.170  -122.437
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.800  -122.699
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.527  -122.843
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.527  -122.843
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.550  -122.895
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.550  -122.895
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.467  -122.453
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.631  -122.653
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.631  -122.653
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.214  -123.754
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.636  -123.490
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.636  -123.490
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.792
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.933  -122.419
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.933  -122.419
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.931  -123.559
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.336  -121.710
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.267  -122.452
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.083  -123.011
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.322  -121.652
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.463  -121.679
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.111  -123.079
    45.138  -122.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.624  -124.046
    44.801  -123.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.624  -124.046
    44.801  -123.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    44.801  -123.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    44.801  -123.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.214  -123.754
    44.801  -123.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.214  -123.754
    44.801  -123.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.853  -123.241
    44.801  -123.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.853  -123.241
    44.801  -123.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.801  -123.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.801  -123.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    44.801  -123.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    44.801  -123.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.108  -123.847
    44.801  -123.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.108  -123.847
    44.801  -123.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.330  -123.058
    44.801  -123.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.330  -123.058
    44.801  -123.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.801  -123.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.801  -123.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.197  -122.986
    44.801  -123.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.197  -122.986
    44.801  -123.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.214  -123.754
    44.971  -123.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.214  -123.754
    44.971  -123.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.624  -124.046
    44.971  -123.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.853  -123.241
    44.971  -123.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.853  -123.241
    44.971  -123.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    44.971  -123.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    44.971  -123.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    44.971  -123.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    44.971  -123.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.971  -123.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.971  -123.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.108  -123.847
    44.971  -123.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.108  -123.847
    44.971  -123.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.971  -123.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.971  -123.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.931  -123.559
    44.971  -123.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.931  -123.559
    44.971  -123.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.214  -123.754
    44.989  -123.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.214  -123.754
    44.989  -123.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.624  -124.046
    44.989  -123.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.853  -123.241
    44.989  -123.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.853  -123.241
    44.989  -123.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    44.989  -123.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    44.989  -123.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    44.989  -123.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    44.989  -123.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.989  -123.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.989  -123.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.108  -123.847
    44.989  -123.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.108  -123.847
    44.989  -123.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.989  -123.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.931  -123.559
    44.989  -123.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.624  -124.046
    44.964  -123.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.624  -124.046
    44.964  -123.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    44.964  -123.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    44.964  -123.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.853  -123.241
    44.964  -123.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.853  -123.241
    44.964  -123.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    44.964  -123.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    44.964  -123.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.964  -123.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.964  -123.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.330  -123.058
    44.964  -123.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.800  -122.699
    44.964  -123.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.800  -122.699
    44.964  -123.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.955  -123.931
    44.964  -123.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.108  -123.847
    44.964  -123.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.931  -123.559
    44.964  -123.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.964  -123.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.964  -123.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.622  -123.923
    44.970  -123.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.622  -123.923
    44.970  -123.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.624  -124.046
    44.970  -123.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.624  -124.046
    44.970  -123.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.853  -123.241
    44.970  -123.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.853  -123.241
    44.970  -123.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    44.970  -123.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    44.970  -123.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    44.970  -123.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    44.970  -123.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.970  -123.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.970  -123.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.108  -123.847
    44.970  -123.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.970  -123.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.970  -123.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.573  -122.790
    44.970  -123.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.931  -123.559
    44.970  -123.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.622  -123.923
    44.957  -123.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.622  -123.923
    44.957  -123.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.624  -124.046
    44.957  -123.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.624  -124.046
    44.957  -123.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.853  -123.241
    44.957  -123.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.853  -123.241
    44.957  -123.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    44.957  -123.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    44.957  -123.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    44.957  -123.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.957  -123.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.586  -123.303
    44.957  -123.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.330  -123.058
    44.957  -123.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.108  -123.847
    44.957  -123.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.108  -123.847
    44.957  -123.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.957  -123.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.957  -123.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.955  -123.931
    44.957  -123.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    45.111  -123.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    45.111  -123.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.853  -123.241
    45.111  -123.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.853  -123.241
    45.111  -123.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.330  -123.058
    45.111  -123.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.330  -123.058
    45.111  -123.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.622  -123.923
    45.111  -123.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.622  -123.923
    45.111  -123.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.585  -123.305
    45.111  -123.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.624  -124.046
    45.111  -123.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.624  -124.046
    45.111  -123.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    45.111  -123.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.505  -123.550
    45.111  -123.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.550  -122.895
    45.111  -123.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.550  -122.895
    45.111  -123.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.800  -122.698
    45.111  -123.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.573  -122.790
    45.111  -123.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.206  -122.478
    45.111  -123.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    45.111  -123.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    45.111  -123.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.955  -123.931
    45.111  -123.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.998  -123.924
    45.111  -123.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.206  -122.478
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.066  -122.669
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.212  -122.798
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.212  -122.798
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.328  -122.779
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.328  -122.779
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.012  -122.819
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.215  -122.975
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.926  -122.667
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.441  -122.630
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.441  -122.630
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.452  -122.608
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.454  -122.551
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.454  -122.551
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.464  -122.683
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.477  -122.526
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.492  -122.609
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.492  -122.609
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.511  -122.622
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.511  -122.622
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.512  -122.684
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.511  -122.736
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.509  -122.485
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.841  -122.483
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.841  -122.483
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.062  -123.107
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.062  -123.107
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.541  -122.565
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.541  -122.565
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.545  -122.760
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.545  -122.760
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.527  -122.843
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.527  -122.843
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.800  -122.698
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.800  -122.698
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.589  -122.643
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.573  -122.790
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.550  -122.896
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.537  -122.963
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.611  -122.496
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.611  -122.496
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.631  -122.653
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.631  -122.653
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.041  -123.260
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.847  -123.111
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.662  -122.658
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.657  -122.834
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.477  -123.198
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.538  -123.158
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.538  -123.158
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.705  -122.555
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.705  -122.555
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.853  -123.241
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.853  -123.241
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.218  -123.454
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.792
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.435  -121.807
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.785  -122.896
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.785  -122.896
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.379  -121.743
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.336  -121.710
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.336  -121.710
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.389  -123.524
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.535  -122.931
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.535  -122.931
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.322  -121.651
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.867  -122.887
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.676  -121.878
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.494  -122.964
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.694  -123.434
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.585  -123.305
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.933  -122.419
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.853  -123.247
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.853  -123.247
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.464  -121.529
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.464  -121.529
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.630  -123.644
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.630  -123.644
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.736  -121.682
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.025  -122.213
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.242  -121.317
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.082  -123.011
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.835  -123.871
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.928  -123.499
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.928  -123.499
    45.170  -122.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.537  -122.963
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.527  -122.843
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.550  -122.896
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.550  -122.896
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.545  -122.760
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.545  -122.760
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.511  -122.736
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.511  -122.736
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.573  -122.790
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.573  -122.790
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.590  -122.757
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.590  -122.757
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.464  -122.683
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.538  -123.158
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.538  -123.158
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.512  -122.684
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.568  -122.715
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.477  -123.198
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.477  -123.198
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.657  -122.834
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.511  -122.622
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.511  -122.622
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.452  -122.608
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.492  -122.609
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.492  -122.609
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.589  -122.643
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.631  -122.653
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.215  -122.975
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.454  -122.551
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.212  -122.798
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.662  -122.658
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.477  -122.526
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.509  -122.485
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.509  -122.485
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.190  -123.152
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.785  -122.896
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.611  -122.496
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.611  -122.496
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.867  -122.887
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.206  -122.478
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.062  -123.107
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.066  -122.669
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.853  -123.247
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.853  -123.247
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.012  -122.819
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.041  -123.260
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.630  -123.644
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.994  -123.004
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.084  -123.475
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.084  -123.475
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.926  -122.667
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.856  -123.545
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.933  -122.419
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.933  -122.419
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.928  -123.499
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.928  -123.499
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.083  -123.011
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.116  -122.893
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.310  -123.823
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.111  -123.079
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.853  -123.241
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.638  -123.856
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.150  -122.744
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.150  -122.744
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.726  -123.853
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.841  -122.483
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.841  -122.483
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.026  -122.212
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.106  -123.585
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.435  -121.807
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.792
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.196  -122.350
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.694  -123.434
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.955  -123.931
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.402  -121.708
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.359  -121.706
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.178  -122.216
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.336  -121.710
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.194  -122.235
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.174  -122.181
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.308  -123.337
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.116  -122.047
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.200  -122.191
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.199  -122.184
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.214  -122.189
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.360  -121.647
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.197  -122.150
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.322  -121.651
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.237  -122.224
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.215  -122.175
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.736  -121.681
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.224  -122.184
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.835  -123.871
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.273  -122.292
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.285  -122.297
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.269  -122.255
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.242  -122.192
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.306  -122.341
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.275  -122.218
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.244  -122.137
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.245  -122.137
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.303  -122.265
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.494  -122.964
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.464  -121.529
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.453  -122.845
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.423  -123.795
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.423  -123.795
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.705  -122.555
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.019  -123.705
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.019  -123.705
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.865  -123.824
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.926  -122.724
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.926  -122.724
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.066  -123.282
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.218  -123.454
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.218  -123.454
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.389  -123.524
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.389  -123.524
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.215  -122.233
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.379  -121.743
    45.470  -122.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.455  -123.831
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.455  -123.831
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.486  -123.978
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.486  -123.978
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.310  -123.823
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.310  -123.823
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.309  -123.823
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.638  -123.856
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.630  -123.644
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.630  -123.644
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.726  -123.853
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.022  -123.857
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.022  -123.857
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.084  -123.475
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.084  -123.475
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.856  -123.545
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.856  -123.545
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.477  -123.198
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.538  -123.158
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.538  -123.158
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.955  -123.931
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.955  -123.931
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.928  -123.499
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.928  -123.499
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.998  -123.924
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.998  -123.924
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.190  -123.152
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.190  -123.152
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.330  -123.058
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.330  -123.058
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.041  -123.260
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.041  -123.260
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.036  -123.896
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.036  -123.896
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.853  -123.247
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.853  -123.247
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.853  -124.035
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.853  -124.035
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.835  -123.871
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.835  -123.871
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.062  -123.107
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.062  -123.107
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.106  -123.585
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.106  -123.585
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.142  -123.911
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.734  -124.050
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.853  -123.241
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.785  -122.896
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.785  -122.896
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.328  -122.779
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.545  -122.760
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.694  -123.434
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.694  -123.434
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.994  -123.004
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.994  -123.004
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.621  -123.789
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.621  -123.789
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.111  -123.079
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.111  -123.079
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.066  -122.669
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.066  -122.669
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.308  -123.337
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.585  -123.305
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.422  -123.799
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.206  -122.478
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.527  -122.843
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.423  -123.795
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.423  -123.795
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.019  -123.705
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.019  -123.705
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.865  -123.824
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.865  -123.824
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.082  -123.011
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.082  -123.011
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.607  -123.935
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.607  -123.935
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.066  -123.282
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    46.066  -123.282
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.218  -123.454
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.218  -123.454
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.389  -123.524
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.389  -123.524
    45.441  -123.852
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.523  -122.738
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.800  -122.698
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.267  -122.452
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.494  -122.964
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.841  -122.483
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.841  -122.483
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.731  -123.011
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.926  -122.667
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.392  -123.086
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.392  -123.086
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.125  -122.626
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.295  -122.041
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.197  -122.986
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.197  -122.986
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.847  -123.111
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.012  -122.819
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.066  -122.669
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.066  -122.669
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.585  -123.305
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.585  -123.305
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.043  -122.267
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.043  -122.267
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.052  -122.887
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.052  -122.887
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.941  -123.102
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.853  -123.241
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.853  -123.241
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.971  -122.772
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.971  -122.772
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.282  -123.318
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.282  -123.318
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.170  -122.438
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.062  -123.107
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.120  -121.849
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.206  -122.478
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.041  -123.260
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.041  -123.260
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.060  -121.818
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.845  -122.318
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.297  -121.574
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.794  -122.411
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.382  -123.590
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.886  -123.257
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.211  -123.264
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.339  -121.340
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.290  -121.792
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    43.998  -123.016
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.684  -122.186
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.535  -122.931
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    45.218  -123.454
    44.528  -122.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    44.349  -123.887
    44.528  -122.517
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    45.156  -122.271     0.300
    45.467  -122.453     0.300
    45.538  -122.039     0.300
    45.060  -121.587     0.300
    45.463  -121.679     0.300
    45.636  -123.490     0.300
    45.318  -121.465     0.300
    45.736  -121.681     0.300
    46.068  -122.408     0.300
    44.310  -122.578     0.300
    43.844  -122.320     0.300
    44.586  -123.303     0.300
    44.505  -123.550     0.300
    43.526  -123.090     0.300
    43.912  -123.741     0.300
    44.856  -122.460     0.300
    44.107  -121.600     0.300
    44.652  -121.689     0.300
    45.290  -121.790     0.300
    45.371  -123.454     0.300
    45.573  -122.790     0.300
    46.026  -122.212     0.300
    45.924  -121.596     0.300
    44.029  -123.069     0.300
    43.998  -123.016     0.300
    45.446  -122.155     0.300
    45.322  -121.652     0.300
    44.267  -122.452     0.300
    44.212  -122.100     0.300
    45.214  -123.754     0.300
    44.299  -121.696     0.300
    45.315  -123.281     0.300
    45.206  -122.478     0.300
    45.170  -122.437     0.300
    44.677  -123.292     0.300
    45.931  -123.559     0.300
    45.933  -122.419     0.300
    44.684  -122.186     0.300
    46.088  -123.450     0.300
    44.676  -124.000     0.300
    45.242  -121.317     0.300
    45.550  -122.895     0.300
    44.523  -122.738     0.300
    45.242  -121.317     0.300
    46.083  -123.011     0.300
    45.211  -123.264     0.300
    44.106  -123.847     0.300
    43.794  -122.411     0.300
    44.197  -122.986     0.300
    43.697  -123.349     0.300
    44.241  -121.664     0.300
    44.854  -123.241     0.300
    44.624  -124.046     0.300
    45.329  -123.058     0.300
    44.052  -123.233     0.300
    44.210  -121.963     0.300
    44.051  -121.669     0.300
    43.241  -122.109     0.300
    44.060  -121.817     0.300
    45.631  -122.653     0.300
    45.955  -123.931     0.300
    45.997  -123.926     0.300
    46.111  -123.079     0.300
    46.150  -122.744     0.300
    46.422  -123.799     0.300
    44.800  -122.699     0.300
    43.291  -123.332     0.300
    44.622  -123.923     0.300
    45.662  -122.657     0.300
    45.435  -121.807     0.300
    46.169  -122.334     0.300
    46.196  -122.350     0.300
    45.359  -121.706     0.300
    45.336  -121.710     0.300
    46.178  -122.217     0.300
    46.193  -122.237     0.300
    46.174  -122.181     0.300
    46.116  -122.047     0.300
    46.200  -122.191     0.300
    46.197  -122.150     0.300
    46.215  -122.175     0.300
    46.238  -122.223     0.300
    46.306  -122.341     0.300
    46.275  -122.218     0.300
    45.464  -121.529     0.300
    46.303  -122.265     0.300
    44.120  -121.848     0.300
    44.339  -121.340     0.300
    44.108  -123.847     0.300
    45.527  -122.843     0.300
    45.206  -122.478     0.300
    45.066  -122.669     0.300
    45.212  -122.798     0.300
    45.328  -122.779     0.300
    45.012  -122.819     0.300
    45.215  -122.975     0.300
    44.926  -122.667     0.300
    45.441  -122.630     0.300
    45.452  -122.608     0.300
    45.454  -122.551     0.300
    45.464  -122.683     0.300
    45.477  -122.526     0.300
    45.492  -122.609     0.300
    45.511  -122.622     0.300
    45.512  -122.684     0.300
    45.511  -122.736     0.300
    45.509  -122.485     0.300
    44.841  -122.483     0.300
    45.062  -123.107     0.300
    45.541  -122.565     0.300
    45.545  -122.760     0.300
    45.589  -122.643     0.300
    45.537  -122.963     0.300
    45.611  -122.496     0.300
    45.211  -123.264     0.300
    45.041  -123.260     0.300
    44.847  -123.111     0.300
    45.657  -122.834     0.300
    45.477  -123.198     0.300
    45.538  -123.158     0.300
    45.705  -122.555     0.300
    44.684  -122.186     0.300
    45.218  -123.454     0.300
    45.785  -122.896     0.300
    45.379  -121.743     0.300
    44.523  -122.738     0.300
    45.389  -123.524     0.300
    44.535  -122.931     0.300
    45.867  -122.887     0.300
    45.676  -121.878     0.300
    44.494  -122.964     0.300
    44.694  -123.434     0.300
    45.933  -122.419     0.300
    45.853  -123.247     0.300
    45.630  -123.644     0.300
    45.736  -121.682     0.300
    46.025  -122.213     0.300
    45.242  -121.317     0.300
    46.082  -123.011     0.300
    44.835  -123.871     0.300
    45.928  -123.499     0.300
    45.590  -122.757     0.300
    45.568  -122.715     0.300
    45.190  -123.152     0.300
    45.994  -123.004     0.300
    45.084  -123.475     0.300
    45.856  -123.545     0.300
    46.116  -122.893     0.300
    45.310  -123.823     0.300
    45.638  -123.856     0.300
    45.726  -123.853     0.300
    46.106  -123.585     0.300
    45.402  -121.708     0.300
    46.308  -123.337     0.300
    46.199  -122.184     0.300
    46.214  -122.189     0.300
    45.360  -121.647     0.300
    46.224  -122.184     0.300
    46.273  -122.292     0.300
    46.285  -122.297     0.300
    46.269  -122.255     0.300
    46.242  -122.192     0.300
    46.244  -122.137     0.300
    46.245  -122.137     0.300
    46.453  -122.845     0.300
    45.423  -123.795     0.300
    46.019  -123.705     0.300
    45.865  -123.824     0.300
    45.926  -122.724     0.300
    46.066  -123.282     0.300
    46.215  -122.233     0.300
    45.455  -123.831     0.300
    45.486  -123.978     0.300
    45.309  -123.823     0.300
    45.022  -123.857     0.300
    46.036  -123.896     0.300
    44.853  -124.035     0.300
    46.142  -123.911     0.300
    44.734  -124.050     0.300
    44.621  -123.789     0.300
    45.607  -123.935     0.300
    44.267  -122.452     0.300
    44.731  -123.011     0.300
    44.392  -123.086     0.300
    44.125  -122.626     0.300
    44.295  -122.041     0.300
    44.043  -122.267     0.300
    44.052  -122.887     0.300
    44.941  -123.102     0.300
    43.971  -122.772     0.300
    44.282  -123.318     0.300
    44.120  -121.849     0.300
    44.297  -121.574     0.300
    43.794  -122.411     0.300
    44.382  -123.590     0.300
    43.886  -123.257     0.300
    44.339  -121.340     0.300
    44.349  -123.887     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.085  -122.622     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    44.118  -122.840     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.027  -122.587     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.020  -122.585     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.024  -122.591     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.043  -122.613     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.021  -122.608     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.038  -122.588     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.019  -122.593     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.020  -122.585     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.040  -122.617     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.040  -122.599     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.129  -122.683     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    44.622  -122.799     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    44.996  -122.649     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    44.041  -122.489     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.111  -122.766     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    44.717  -123.122     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.231  -123.524     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.117  -122.409     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    44.761  -123.761     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.007  -122.541     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.276  -123.033     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.170  -122.604     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.169  -122.602     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.271  -122.732     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.272  -122.728     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.106  -123.037     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.075  -122.422     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.139  -122.693     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.014  -124.282     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.008  -124.246     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    44.465  -122.857     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.394  -122.898     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    44.810  -123.823     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.137  -122.620     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    44.153  -122.898     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    44.152  -122.896     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    44.956  -123.560     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    44.150  -122.891     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    44.089  -122.831     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    44.115  -123.079     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.479  -123.463     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    44.088  -122.827     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    44.094  -122.819     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.479  -122.835     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.166  -122.909     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.046  -123.110     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    44.369  -122.443     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    44.258  -123.974     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.040  -122.594     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    44.944  -122.763     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.138  -122.962     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    44.801  -123.860     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    44.971  -123.902     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    44.989  -123.933     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    44.964  -123.918     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    44.970  -123.916     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    44.957  -123.910     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.111  -123.628     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.170  -122.616     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.470  -122.935     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    45.441  -123.852     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    44.528  -122.517     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    44.900  -123.009     0.000   222.000   222.000
    44.900  -123.009     0.000   444.000   444.000
END
